
<div>
          <form [formGroup]="editTaskForm" (ngSubmit)="onSubmit(editTaskForm.value)">
            <div >
              <input type="text" formControlName="name" value="{{ task?.name }}" 
              placeholder="Name" id="Name" required>
            </div>
            <div >
              <button type="submit"  id="editButton" >Update</button>
            </div>
        </form>
</div>